package poker.domain.classificacao

import poker.domain.Carta
import poker.domain.Valor._
import poker.domain.Naipe._
import org.testng.annotations._
import org.junit.Assert._
import poker.PokerHelperTest._

class SequenciaFlushTest {
  
  @Test
  def menorSequenciaFlushGanhaDeMaiorQuadra() {
    assertTrue(menorSequenciaFlush() > maiorQuadra())
    assertTrue(maiorQuadra() < menorSequenciaFlush())
  }
  
  @Test
  def cartaMaisAltaDaSequenciaGanha() {
    assertTrue(c((3, PAUS), (4, PAUS), (5, PAUS), (6, PAUS), (7, PAUS)) >
               c((2, PAUS), (3, PAUS), (4, PAUS), (5, PAUS), (6, PAUS)))
  }

  @Test
  def empate() {
		var comb = maiorSequenciaFlush()
    assertTrue(comb >= comb)
		assertTrue(comb <= comb)
  }
}
